package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.InvestigateTable;

/**
 * 考察主Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-10
 */
public interface InvestigateTableMapper 
{
    /**
     * 查询考察主
     * 
     * @param id 考察主主键
     * @return 考察主
     */
    public InvestigateTable selectInvestigateTableById(Long id);

    /**
     * 查询考察主列表
     * 
     * @param investigateTable 考察主
     * @return 考察主集合
     */
    public List<InvestigateTable> selectInvestigateTableList(InvestigateTable investigateTable);
    /**
     *     查询考察团全部信息
     */
    public List<InvestigateTable> selectInvestigateTableListALL(InvestigateTable investigateTable);

    /**
     * 新增考察主
     * 
     * @param investigateTable 考察主
     * @return 结果
     */
    public int insertInvestigateTable(InvestigateTable investigateTable);

    /**
     * 修改考察主
     * 
     * @param investigateTable 考察主
     * @return 结果
     */
    public int updateInvestigateTable(InvestigateTable investigateTable);

    /**
     * 删除考察主
     * 
     * @param id 考察主主键
     * @return 结果
     */
    public int deleteInvestigateTableById(Long id);

    /**
     * 批量删除考察主
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteInvestigateTableByIds(Long[] ids);
}
